=== debian/changelog ===
metasploitmcp (0.0~git20251004.2a62f32-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Ben Wilson <g0tmi1k@kali.org>  Tue, 03 Feb 2026 10:24:24 +0000
