=== debian/control ===
Source: metasploitmcp
Section: misc
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Ben Wilson <g0tmi1k@kali.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
Standards-Version: 4.7.3
Homepage: https://github.com/GH05TCREW/MetasploitMCP
Vcs-Browser: https://gitlab.com/kalilinux/packages/metasploitmcp
Vcs-Git: https://gitlab.com/kalilinux/packages/metasploitmcp.git

Package: metasploitmcp
Architecture: all
Depends:
 python3-fastapi,
 python3-fastmcp,
 python3-mcp,
 python3-pymetasploit3,
 python3-uvicorn,
 ${misc:Depends},
 ${python3:Depends},
Description: MCP Server for Metasploit
 A Model Context Protocol (MCP) server for Metasploit Framework
 integration.
