=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --with python3

override_dh_auto_test:
	# Upstream async tests are broken
