=== debian/watch ===
Version: 5

Source: https://github.com/GH05TCREW/MetasploitMCP
Mode: git
Matching-Pattern: HEAD
